Subject: bug#45603: 28.0.50; feature_native-comp: Fatal error 11: Segmentation fault

From: Gregor Zattler <[email-masked]>
Date: Sat, 2 Jan 2021 14:40:21 +0100

Hi Andrea,
* Andrea Corallo <[email-masked]> [02. Jan. 2021]:
> Gregor Zattler <[email-masked]> writes:
> > Compiling /home/grfz/src/emacs-feature_native-comp/lisp/emacs-lisp/cl-macs.el...
> > Fatal error 11: Segmentation fault
> > Backtrace:
> > /home/grfz/src/emacs-feature_native-comp/src/emacs[0x58bed0]
[...]
> > Compilation finished.
> >
> > This is with CFLAGS -g -O3 and comp-speed = 3.

> Uhmm... Was the repo in a clean state?

yes, absolutely, I did a rm -rf * ; git checkout -f before building.

> Also have you tried a regular bootstrap at speed 2?  Speed 3 bootstrap
> is typically untested.

I did not do it this time.  I am in the process of re-doing it with -g
-O2 and comp-speed = 2 and will report back when this finishes.

Ciao, Gregor
--
 -... --- .-. . -.. ..--.. ...-.-